Subject: bug#57242: closed (Re: bug#57242: GNOME is missing default font (cantarell))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Aug 2022 14:35:02 +0000

Your bug report

#57242: GNOME is missing default font (cantarell)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57242: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57242
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57242: GNOME is missing default font (cantarell)
From: Maxim Cournoyer <[email-masked]>
To: Luis Felipe <[email-masked]>
Cc: Liliana Marie Prikler <[email-masked]>, Christophe Pisteur <[email-masked]>, [email-masked]
Date: Fri, 19 Aug 2022 10:34:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Luis Felipe <[email-masked]> writes:

> On Tuesday, August 16th, 2022 at 13:54, Liliana Marie Prikler <[email-masked]> wrote:
>
>> Am Dienstag, dem 16.08.2022 um 12:04 +0200 schrieb Christophe Pisteur:
>> 

[...]

>> > ## Workaround
>> > 
>
>> > Thank to https://luis-felipe.gitlab.io/:
>> > 
>
>> > 1. guix install font-abattis-cantarell
>> > 2. fc-cache -rv
>> > 3. Reload GNOME Shell (press Alt+F2, type the letter r in the command
>> > box, and press Enter)
>> 
>
>> Is the first step really needed? Cantarell should already be part of
>> gnome-service-type.
>
> I just rolled back my profile to a generation previous to installing
> (1), performed (2) and (3) again, and the desktop is still using
> cantarell, so I it seems (1) is not needed after all.

>> In any case, troubles with fonts are to be expected under some
>> circumstances. See `info "(guix)Application Setup"', particularly
>> paragraph 2.6.3 X11 Fonts. Your issue also has probably little to do
>> with linux-libre but rather the fact that an update from pre-5.18 to
>> now brings in lots of package changes. IIRC the great Cantarell break
>> was a rather recent event, though I'm not sure what caused it.

As Liliana mentioned, there may occasionally some issues with stale font
cache, and the workaround is documented.  I'm not sure if this is the
fault of GDM or fonconfig itself, although I've never had to run the
command myself (not a GDM user), so perhaps the former.

If you manage to come up with a clear reproducer or pinpoint the exact
cause, do open a new issue.

Closing for now,

Thanks for the report!

Maxim

Subject: GNOME is missing default font (cantarell)
From: Christophe Pisteur <[email-masked]>
To: [email-masked]
Cc: Luis Felipe <[email-masked]>
Date: Tue, 16 Aug 2022 12:04:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

## Steps to reproduce

The following steps assume you are using Guix System with GNOME
desktop.

1. Boot with a 5.18 kernel
2. Connect with GDM / X11 to the Gnome desktop

## Expected result

+ The gnome desktop interface uses the default Cantarell font (as in
5.17 kernel)
+ Cantarell font is available in applications (for example LibreOffice)

## Unexpected result

+ the Cantarell, font which is the default font of the gnome desktop,
is not used in the Gnome interface
+ gnome-tweaks, which allows to select the interface font, does not
list the Cantarell font
+ Cantarell font is not proposed by LibreOffice 7.5.3 either

see: https://lists.gnu.org/archive/html/help-guix/2022-08/msg00110.html

## Workaround

Thank to https://luis-felipe.gitlab.io/:

1. guix install font-abattis-cantarell
2. fc-cache -rv
3. Reload GNOME Shell (press Alt+F2, type the letter r in the command
box, and press Enter)

see: https://lists.gnu.org/archive/html/help-guix/2022-08/msg00115.html

## System information

GNOME 40.4
GNU Guix 8337787
Guix system 64 bit / X11
Kernel 5.18.12, 5.18.14, 5.18.16